org.apache.hc.core5.http.nio

## Interface ResourceHolder

- All Known Subinterfaces:
    AsyncClientExchangeHandler, AsyncDataConsumer, AsyncDataExchangeHandler, AsyncDataProducer, AsyncEntityConsumer<T>, AsyncEntityProducer, AsyncPushConsumer, AsyncPushProducer, AsyncRequestConsumer<T>, AsyncRequestProducer, AsyncResponseConsumer<T>, AsyncResponseProducer, AsyncServerExchangeHandler
  All Known Implementing Classes:
    AbstractAsyncPushHandler, AbstractAsyncRequesterConsumer, AbstractAsyncResponseConsumer, AbstractBinAsyncEntityConsumer, AbstractBinAsyncEntityProducer, AbstractBinDataConsumer, AbstractCharAsyncEntityConsumer, AbstractCharAsyncEntityProducer, AbstractCharDataConsumer, AbstractClassicEntityConsumer, AbstractClassicEntityProducer, AbstractClassicServerExchangeHandler, AbstractServerExchangeHandler, AsyncEntityProducerWrapper, BasicAsyncEntityConsumer, BasicAsyncEntityProducer, BasicAsyncServerExpectationDecorator, BasicClientExchangeHandler, BasicPushProducer, BasicRequestConsumer, BasicRequestProducer, BasicResponseConsumer, BasicResponseProducer, BasicServerExchangeHandler, DigestingEntityConsumer, DigestingEntityProducer, DiscardingEntityConsumer, FileEntityProducer, ImmediateResponseExchangeHandler, NoopEntityConsumer, PathEntityProducer, ReactiveEntityProducer, ReactiveResponseConsumer, ReactiveServerExchangeHandler, StringAsyncEntityConsumer, StringAsyncEntityProducer

      @Contract(threading=SAFE)
      public interface ResourceHolder

  Abstract resource holder.

  Implementations are expected to ensure that `releaseResources()` methods is idempotent and is safe to invoke multiple times.

  Implementations are expected to be thread-safe.

  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `releaseResources()`

- - ### Method Detail

    - #### releaseResources

          void releaseResources()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.